-- $Id$ 

-- Copyright (C) 2008-2009 FAUmachine Team <info@faumachine.org>.
-- This program is free software. You can redistribute it and/or modify it
-- under the terms of the GNU General Public License, either version 2 of
-- the License, or (at your option) any later version. See COPYING.

ENTITY unitA IS
	GENERIC(
		g1 : integer := 1;
		g2 : integer := 2
	);
	PORT (
		p1 : inout integer;
		p2 : in integer;
		p3 : out bit
	);
END ENTITY unitA;

ENTITY unitB IS 
END ENTITY unitB;

ARCHITECTURE implementation of unitB is
	SIGNAL s1 : integer;
	SIGNAL s2 : integer;
	SIGNAL s3 : integer;
BEGIN
	instUnit : unitA 
		GENERIC MAP (
			g1 => 23,
			g2 => 42
		)
		PORT MAP (
			p1 => s1,
			p2 => s2,
			p3 => s3 -- @ERROR@ type error
		);
END implementation;
